fs = 44100;     % Sampling Frequency
f = 100;        % in Hz
int0 = 0.2;     % beginning silence
int1 = 0.001;   % duration in seconds
int2 = 0.799;   % ending silence
t0 = zeros(1,(fs*int0));
t1 = [0:fix(fs*int1)-1]/fs; 
t2 = zeros(1,ceil(fs*int2));
y1 = sin(2*pi*t1*f);
y = [t0,y1,t2];
audiowrite('newfile.wav',y,fs)
