# Programm replaces existing "][" with "," in a specified file
# Author: Ruediger Machhamer
# Date: 19.12.2017

import sys
import datetime

def deleteContent(pfile):
    pfile.seek(0)
    pfile.truncate()

infile_name = r'C:\Rudi\v1\data.csv'

timestamp=datetime.datetime.now().strftime("%y.%m.%d_%H%M%S")

outfile_name = r'C:\Rudi\v1\data\v1_' + timestamp + '.csv'




# try open source file
try:
    infile = open(infile_name, 'r')
except IOError:
    print('error: input file ' + infile_name + ' can not be opened in mode \'r\'')
# try open destination file
try:
    outfile = open(outfile_name, 'w')
except IOError:
    print('error: output file ' + outfile_name + ' can not be opened in mode \'w\'')
    infile.close()
line = infile.readline()
# get first line of source file
lineNr = 1
# as long as there are new lines
while line != '':
    # replace ][ with ,
    line = line.replace('][',',')
    if lineNr == 1:
        # delete leading [ and closing ] 
        line = line[1:-1]
        lineNr = lineNr + 1
    else:
        line.replace('[',',')
        line = line[:-1]
    outfile.write(line)
    line = infile.readline()
outfile.close()
infile.close()
# open infile again to delete content
infile_name = r'C:\Rudi\v1\data.csv'
try:
    infile = open(infile_name, 'w')
except IOError:
    print('error: input file ' + infile_name + ' can not be opened in mode \'w\'')
deleteContent(infile)
    
